<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
'disabled' => false,
'label' => null,
'checked' => false,
'name' => $attributes->get('name'),
'id' => $attributes->get('name'),
'offValue' => null,
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
'disabled' => false,
'label' => null,
'checked' => false,
'name' => $attributes->get('name'),
'id' => $attributes->get('name'),
'offValue' => null,
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>
<?php if($label): ?>
<label for="<?php echo e($id); ?>" class="flex items-center">
    <?php if($offValue !== null): ?>
    <input type="hidden" name="<?php echo e($name); ?>" value="<?php echo e($offValue); ?>">
    <?php endif; ?>
    <input id="<?php echo e($id); ?>" <?php echo e($disabled ? 'disabled' : ''); ?> <?php echo e($checked ? 'checked' : ''); ?> type="checkbox" name="<?php echo e($name); ?>" <?php echo $attributes->merge(['class' => 'form-checkbox']); ?>>
    <span class="ml-2 text-gray-600"><?php echo e($label); ?></span>
</label>
<?php else: ?>
<input id="<?php echo e($id); ?>" <?php echo e($disabled ? 'disabled' : ''); ?> <?php echo e($checked ? 'checked' : ''); ?> type="checkbox" name="<?php echo e($name); ?>" <?php echo $attributes->merge(['class' => 'form-checkbox']); ?>>
<?php endif; ?><?php /**PATH /home/sms9/public_html/resources/views/components/lw/checkbox.blade.php ENDPATH**/ ?>